## r-bioc-netsam 1.30.0

=== DESCRIPTION ===
Package: NetSAM
Type: Package
Title: Network Seriation And Modularization
Version: 1.30.0
Date: 2014-01-23
Author: Jing Wang <jing.wang.2@vanderbilt.edu>
Maintainer: Bing Zhang <bing.zhang@vanderbilt.edu>
Description: The NetSAM (Network Seriation and Modularization) package
        takes an edge-list representation of a network as an input,
        performs network seriation and modularization analysis, and
        generates as files that can be used as an input for the
        one-dimensional network visualization tool NetGestalt
        (http://www.netgestalt.org) or other network analysis.
License: LGPL
LazyLoad: yes
Depends: R (>= 2.15.1), methods, igraph (>= 0.6-1), seriation (>=
        1.0-6), graph (>= 1.34.0)
Imports: methods
Suggests: RUnit, BiocGenerics
Collate: zzz.R NetSAM.R
biocViews: Visualization, Network
git_url: https://git.bioconductor.org/packages/NetSAM
git_branch: RELEASE_3_12
git_last_commit: d866104
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: no
Packaged: 2020-10-28 01:57:33 UTC; biocbuild

=== debian/changelog ===
r-bioc-netsam (1.30.0-3) unstable; urgency=medium

  * Build with bioc api 3.14

 -- Nilesh Patra <nilesh@debian.org>  Sat, 27 Nov 2021 15:04:20 +0530

r-bioc-netsam (1.30.0-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 06 Nov 2021 23:53:11 +0530

r-bioc-netsam (1.30.0-1) unstable; urgency=medium

  * Initial release (closes: #986032)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 28 Mar 2021 16:31:40 +0530

=== debian/control ===
Source: r-bioc-netsam
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-seriation,
               r-cran-igraph,
               r-cran-wgcna,
               r-bioc-biomart,
               r-bioc-annotationdbi,
               r-cran-doparallel,
               r-cran-foreach,
               r-cran-survival,
               r-bioc-go.db,
               r-cran-dbi,
               r-bioc-graph
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-netsam
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-netsam.git
Homepage: https://bioconductor.org/packages/NetSAM/
Rules-Requires-Root: no

Package: r-bioc-netsam
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Network Seriation And Modularization
 The NetSAM (Network Seriation and Modularization) package
 takes an edge-list representation of a network as an input,
 performs network seriation and modularization analysis, and
 generates as files that can be used as an input for the
 one-dimensional network visualization tool NetGestalt
 (http://www.netgestalt.org) or other network analysis.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name '*.Rnw' | xargs chmod -x

## r-bioc-netsam 1.36.0

=== DESCRIPTION ===
Package: NetSAM
Type: Package
Title: Network Seriation And Modularization
Version: 1.36.0
Date: 2021-05-15
Author: Jing Wang <jing.wang@bcm.edu>
Maintainer: Zhiao Shi <zhiao.shi@gmail.com>
Description: The NetSAM (Network Seriation and Modularization) package takes an edge-list representation of a weighted or unweighted network as an input, performs network seriation and modularization analysis, and generates as files that can be used as an input for the one-dimensional network visualization tool NetGestalt (http://www.netgestalt.org) or other network analysis. The NetSAM package can also generate correlation network (e.g. co-expression network) based on the input matrix data, perform seriation and modularization analysis for the correlation network and calculate the associations between the sample features and modules or identify the associated GO terms for the modules.
License: LGPL
LazyLoad: yes
Depends: R (>= 3.0.0), seriation (>= 1.0-6), igraph (>= 0.6-1), tools
        (>= 3.0.0), WGCNA (>= 1.34.0), biomaRt (>= 2.18.0)
Imports: methods, AnnotationDbi (>= 1.28.0), doParallel (>= 1.0.10),
        foreach (>= 1.4.0), survival (>= 2.37-7), GO.db (>= 2.10.0),
        R2HTML (>= 2.2.0), DBI (>= 0.5-1)
Suggests: RUnit, BiocGenerics, org.Sc.sgd.db, org.Hs.eg.db,
        org.Mm.eg.db, org.Rn.eg.db, org.Dr.eg.db, org.Ce.eg.db,
        org.Cf.eg.db, org.Dm.eg.db, org.At.tair.db, rmarkdown, knitr,
        markdown
Collate: zzz.R NetSAM.R NetAnalyzer.R MatNet.R MatSAM.R consensusNet.R
        mapToSymbol.R testFileFormat.R featureAssociation.R
        GOAssociation.R mergeDuplicate.R
NeedsCompilation: no
VignetteBuilder: knitr
Packaged: 2022-04-26 21:18:18 UTC; biocbuild
git_url: https://git.bioconductor.org/packages/NetSAM
git_branch: RELEASE_3_15
git_last_commit: 2e11a02
git_last_commit_date: 2022-04-26
Date/Publication: 2022-04-26

=== debian/changelog ===
r-bioc-netsam (1.36.0-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Standards-Version: 4.6.1 (routine-update)

  [ Nilesh Patra ]
  * Add r-cran-r2html to B-D
  * d/rules: Remove fixperms override
  * Add r-bioc-org.hs.eg.db to test-dep
  * d/salsa-ci.yml: Disable reprotest

 -- Andreas Tille <tille@debian.org>  Wed, 18 May 2022 14:46:01 +0200

## r-bioc-netsam 1.38.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: NetSAM
 Type: Package
 Title: Network Seriation And Modularization
-Version: 1.36.0
+Version: 1.38.0
 Date: 2021-05-15
 Author: Jing Wang <jing.wang@bcm.edu>
 Maintainer: Zhiao Shi <zhiao.shi@gmail.com>
@@ -22,9 +22,9 @@
         GOAssociation.R mergeDuplicate.R
 NeedsCompilation: no
 VignetteBuilder: knitr
-Packaged: 2022-04-26 21:18:18 UTC; biocbuild
+Packaged: 2022-11-01 22:11:57 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/NetSAM
-git_branch: RELEASE_3_15
-git_last_commit: 2e11a02
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: dd9a6db
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01

=== debian/changelog ===
r-bioc-netsam (1.38.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2022 08:30:00 +0100

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
                r-cran-foreach,
                r-cran-survival,
                r-bioc-go.db,
-               r-cran-dbi,
-               r-bioc-graph
-Standards-Version: 4.6.0
+               r-cran-r2html,
+               r-cran-dbi
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-netsam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-netsam.git
 Homepage: https://bioconductor.org/packages/NetSAM/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-bioc-org.hs.eg.db
Restrictions: allow-stderr

## r-bioc-netsam 1.40.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: NetSAM
 Type: Package
 Title: Network Seriation And Modularization
-Version: 1.38.0
-Date: 2021-05-15
+Version: 1.40.0
+Date: 2023-03-23
 Author: Jing Wang <jing.wang@bcm.edu>
 Maintainer: Zhiao Shi <zhiao.shi@gmail.com>
 Description: The NetSAM (Network Seriation and Modularization) package takes an edge-list representation of a weighted or unweighted network as an input, performs network seriation and modularization analysis, and generates as files that can be used as an input for the one-dimensional network visualization tool NetGestalt (http://www.netgestalt.org) or other network analysis. The NetSAM package can also generate correlation network (e.g. co-expression network) based on the input matrix data, perform seriation and modularization analysis for the correlation network and calculate the associations between the sample features and modules or identify the associated GO terms for the modules.
@@ -22,9 +22,9 @@
         GOAssociation.R mergeDuplicate.R
 NeedsCompilation: no
 VignetteBuilder: knitr
-Packaged: 2022-11-01 22:11:57 UTC; biocbuild
+Packaged: 2023-04-25 21:55:14 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/NetSAM
-git_branch: RELEASE_3_16
-git_last_commit: dd9a6db
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 96ecc60
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25

=== debian/changelog ===
r-bioc-netsam (1.40.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Replace d/t/control by d/t/autopkgtest-r-pkg.conf

 -- Andreas Tille <tille@debian.org>  Fri, 28 Jul 2023 06:08:15 +0200

## r-bioc-netsam 1.42.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: NetSAM
 Type: Package
 Title: Network Seriation And Modularization
-Version: 1.40.0
+Version: 1.42.0
 Date: 2023-03-23
 Author: Jing Wang <jing.wang@bcm.edu>
 Maintainer: Zhiao Shi <zhiao.shi@gmail.com>
@@ -22,9 +22,9 @@
         GOAssociation.R mergeDuplicate.R
 NeedsCompilation: no
 VignetteBuilder: knitr
-Packaged: 2023-04-25 21:55:14 UTC; biocbuild
+Packaged: 2023-10-24 22:08:21 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/NetSAM
-git_branch: RELEASE_3_17
-git_last_commit: 96ecc60
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 91b5285
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24

=== debian/changelog ===
r-bioc-netsam (1.42.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 04 Dec 2023 19:41:18 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                r-bioc-go.db,
                r-cran-r2html,
                r-cran-dbi
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-netsam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-netsam.git
 Homepage: https://bioconductor.org/packages/NetSAM/

## r-bioc-netsam 1.44.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Package: NetSAM
 Type: Package
 Title: Network Seriation And Modularization
-Version: 1.42.0
+Version: 1.44.0
 Date: 2023-03-23
 Author: Jing Wang <jing.wang@bcm.edu>
 Maintainer: Zhiao Shi <zhiao.shi@gmail.com>
 Description: The NetSAM (Network Seriation and Modularization) package takes an edge-list representation of a weighted or unweighted network as an input, performs network seriation and modularization analysis, and generates as files that can be used as an input for the one-dimensional network visualization tool NetGestalt (http://www.netgestalt.org) or other network analysis. The NetSAM package can also generate correlation network (e.g. co-expression network) based on the input matrix data, perform seriation and modularization analysis for the correlation network and calculate the associations between the sample features and modules or identify the associated GO terms for the modules.
 License: LGPL
 LazyLoad: yes
-Depends: R (>= 3.0.0), seriation (>= 1.0-6), igraph (>= 0.6-1), tools
+Depends: R (>= 3.0.0), seriation (>= 1.0-6), igraph (>= 2.0.0), tools
         (>= 3.0.0), WGCNA (>= 1.34.0), biomaRt (>= 2.18.0)
 Imports: methods, AnnotationDbi (>= 1.28.0), doParallel (>= 1.0.10),
         foreach (>= 1.4.0), survival (>= 2.37-7), GO.db (>= 2.10.0),
@@ -22,9 +22,10 @@
         GOAssociation.R mergeDuplicate.R
 NeedsCompilation: no
 VignetteBuilder: knitr
-Packaged: 2023-10-24 22:08:21 UTC; biocbuild
+Packaged: 2024-05-01 04:58:04 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/NetSAM
-git_branch: RELEASE_3_18
-git_last_commit: 91b5285
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: fd6bcba
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30

=== debian/changelog ===
r-bioc-netsam (1.44.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 15:14:27 +0200

r-bioc-netsam (1.44.0-1~0exp) experimental; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Drop Nilesh from Uploaders as requested (Thanks for all your work, Nilesh)

  [ Michael R. Crusoe ]
  * dh-update-R to update Build-Depends (routine-update)
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 18:36:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-bioc-netsam
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Nilesh Patra <nilesh@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
@@ -8,7 +7,7 @@
                dh-r,
                r-base-dev,
                r-cran-seriation,
-               r-cran-igraph,
+               r-cran-igraph (>= 2.0.0),
                r-cran-wgcna,
                r-bioc-biomart,
                r-bioc-annotationdbi,

## r-bioc-netsam 1.46.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: NetSAM
 Type: Package
 Title: Network Seriation And Modularization
-Version: 1.44.0
+Version: 1.46.0
 Date: 2023-03-23
 Author: Jing Wang <jing.wang@bcm.edu>
 Maintainer: Zhiao Shi <zhiao.shi@gmail.com>
@@ -22,10 +22,10 @@
         GOAssociation.R mergeDuplicate.R
 NeedsCompilation: no
 VignetteBuilder: knitr
-Packaged: 2024-05-01 04:58:04 UTC; biocbuild
+Packaged: 2024-10-30 01:53:49 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/NetSAM
-git_branch: RELEASE_3_19
-git_last_commit: fd6bcba
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: f8cb924
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29

=== debian/changelog ===
r-bioc-netsam (1.46.0-3) unstable; urgency=medium

  * Team upload.
  * Added patch to DESCRIPTION so that this package gets recognized as a
    BioConductor package by dh-r.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 08:39:46 +0100

r-bioc-netsam (1.46.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 15:16:15 +0100

r-bioc-netsam (1.46.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 12:13:48 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                r-bioc-go.db,
                r-cran-r2html,
                r-cran-dbi
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-netsam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-netsam.git
 Homepage: https://bioconductor.org/packages/NetSAM/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/NetSAM.html .*/NetSAM_(.*).tar.gz
